## kpartsplugin 20110606

=== CMakeLists.txt ===
project( kpartsplugin )

cmake_minimum_required(VERSION 2.6)

find_package( Qt4 REQUIRED )
find_package( KDE4 REQUIRED )

set( PLUGIN_INSTALL_DIR "/usr/lib${LIB_SUFFIX}/nsbrowser/plugins/" )

# translations
add_subdirectory( po )

# source code
add_subdirectory( src )

=== debian/changelog ===
kpartsplugin (20110606-1) unstable; urgency=low

  * New upstream release
  * Added missing libx11-dev in Build-Depends (Closes: #632122)
  * Copyright file switched to DEP-5 format

 -- Michele Gastaldo <micheluzzo@inventati.org>  Sun, 10 Jul 2011 15:51:32 +0200

kpartsplugin (20101216-1) unstable; urgency=low

  * Initial release (Closes: #597110)

 -- Michele Gastaldo <micheluzzo@inventati.org>  Mon, 14 Mar 2011 12:37:03 +0100

## kpartsplugin 20110823

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,8 @@
 set( PLUGIN_INSTALL_DIR "/usr/lib${LIB_SUFFIX}/nsbrowser/plugins/" )
 
 # translations
-add_subdirectory( po )
+## FIXME translations do not work (yet)
+##add_subdirectory( po )
 
 # source code
 add_subdirectory( src )

=== po/CMakeLists.txt ===
FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)

IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
        MESSAGE(
"------
                 NOTE: msgfmt not found. Translations will *not* be installed
------")
ELSE(NOT GETTEXT_MSGFMT_EXECUTABLE)

        SET(catalogname kpartsplugin)

        ADD_CUSTOM_TARGET(translations ALL)

        FILE(GLOB PO_FILES *.po)

        FOREACH(_poFile ${PO_FILES})
                GET_FILENAME_COMPONENT(_poFileName ${_poFile} NAME)
                STRING(REGEX REPLACE "^${catalogname}_?" "" _langCode ${_poFileName} )
                STRING(REGEX REPLACE "\\.po$" "" _langCode ${_langCode} )

                IF( _langCode )
                        GET_FILENAME_COMPONENT(_lang ${_poFile} NAME_WE)
                        SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)

                        ADD_CUSTOM_COMMAND(TARGET translations
                                COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmoFile} ${_poFile}
                                DEPENDS ${_poFile})
                        INSTALL(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_langCode}/LC_MESSAGES/ RENAME ${catalogname}.mo)
                ENDIF( _langCode )

        ENDFOREACH(_poFile ${PO_FILES})

ENDIF(NOT GETTEXT_MSGFMT_EXECUTABLE)

=== debian/changelog ===
kpartsplugin (20110823-1) unstable; urgency=low

  * New upstream release

 -- Michele Gastaldo <micheluzzo@inventati.org>  Thu, 08 Sep 2011 10:33:22 +0200

=== debian/control ===
Source: kpartsplugin
Section: kde
Priority: optional
Maintainer: Michele Gastaldo <micheluzzo@inventati.org>
Build-Depends: debhelper (>= 8.1), cmake, pkg-config, libx11-dev, kdelibs5-dev
Standards-Version: 3.9.2
Homepage: http://www.unix-ag.uni-kl.de/~fischer/kpartsplugin/

Package: kpartsplugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Netscape-compatible plugin to embed KDE file-viewers into browser
 This software implements a plugin for Netscape-compatible browsers in Unix
 environments. This plugin uses KDE's KParts technology to embed file viewers
 (e.g. for PDF files) into non-KDE browsers. Tested browsers include both 
 (Mozilla Firefox and Opera, and is know to work with Chrome and Arora.
 With this plugin, you can e.g. view PDF files in Firefox using Okular as an
 embedded plugin.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

## kpartsplugin 20120605

=== CMakeLists.txt ===
project(
    kpartsplugin
)

cmake_minimum_required(
    VERSION
    2.6
)

find_package(
    Qt4
    REQUIRED
)
find_package(
    KDE4
    REQUIRED
)

if(
    NOT
    NSPLUGIN_INSTALL_DIR
)
    set(
        NSPLUGIN_INSTALL_DIR
        "/usr/lib${LIB_SUFFIX}/nsbrowser/plugins/"
        CACHE
        PATH
        "NS/Mozilla Browser plugin path"
    )
endif(
    NOT
    NSPLUGIN_INSTALL_DIR
)

# translations
## FIXME translations do not work (yet)
##add_subdirectory( po )

# source code
add_subdirectory(
    src
)

=== po/CMakeLists.txt ===
find_program(
    GETTEXT_MSGFMT_EXECUTABLE
    msgfmt
)

if(
    NOT
    GETTEXT_MSGFMT_EXECUTABLE
)
    message(
        "------ NOTE: msgfmt not found. Translations will *not* be installed ------"
    )
else(
    NOT
    GETTEXT_MSGFMT_EXECUTABLE
)

    set(
        catalogname
        kpartsplugin
    )

    add_custom_target(
        translations
        ALL
    )

    file(
        GLOB
        PO_FILES
        *.po
    )

    foreach(
        _poFile
        ${PO_FILES}
    )
    get_filename_component(
        _poFileName
        ${_poFile}
        NAME
    )
    string(
        REGEX
        REPLACE
        "^${catalogname}_?"
        ""
        _langCode
        ${_poFileName}
    )
    string(
        REGEX
        REPLACE
        "\\.po$"
        ""
        _langCode
        ${_langCode}
    )

    if(
        _langCode
    )
        get_filename_component(
            _lang
            ${_poFile}
            NAME_WE
        )
        set(
            _gmoFile
            ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo
        )

        add_custom_command(
            TARGET
            translations
            COMMAND
            ${GETTEXT_MSGFMT_EXECUTABLE}
            --check
            -o
            ${_gmoFile}
            ${_poFile}
            DEPENDS
            ${_poFile}
        )
        install(
            FILES
            ${_gmoFile}
            DESTINATION
            ${LOCALE_INSTALL_DIR}/${_langCode}/LC_MESSAGES/
            RENAME
            ${catalogname}.mo
        )
    endif(
        _langCode
    )

    endforeach(
        _poFile
        ${PO_FILES}
    )

endif(
    NOT
    GETTEXT_MSGFMT_EXECUTABLE
)

=== src/CMakeLists.txt ===
find_package(
    KDE4
    4.3
    REQUIRED
)
include(
    KDE4Defaults
)

add_definitions(
    ${QT_DEFINITIONS}
    ${KDE4_DEFINITIONS}
)
include_directories(
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    ${KDE4_INCLUDES}
)

set(
    kpartsplugin_LIB_SRCS
    kpartsplugin.cpp
    mimetypestreeview.cpp
    mimetypehelper.cpp
    qtbrowserplugin.cpp
    qtbrowserplugin_x11.cpp
)

kde4_add_library(
    kpartsplugin
    SHARED
    ${kpartsplugin_LIB_SRCS}
)

target_link_libraries(
    kpartsplugin
    ${QT_QTGUI_LIBRARY}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KPARTS_LIBS}
)

install(
    TARGETS
    kpartsplugin
    DESTINATION
    ${NSPLUGIN_INSTALL_DIR}
)

########## KCM Module ###############

set(
    kcm_kpartsplugin_SRCS
    kcm_kpartsplugin.cpp
    mimetypestreeview.cpp
    mimetypehelper.cpp
)

kde4_add_plugin(
    kcm_kpartsplugin
    ${kcm_kpartsplugin_SRCS}
)

target_link_libraries(
    kcm_kpartsplugin
    ${KDE4_KDEUI_LIBS}
)

install(
    TARGETS
    kcm_kpartsplugin
    DESTINATION
    ${PLUGIN_INSTALL_DIR}
)

install(
    FILES
    kcm_kpartsplugin.desktop
    DESTINATION
    ${SERVICES_INSTALL_DIR}
)

=== debian/changelog ===
kpartsplugin (20120605-1) unstable; urgency=low

  * New upstream release

 -- Michele Gastaldo <micheluzzo@inventati.org>  Tue, 05 Jun 2012 13:25:02 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Michele Gastaldo <micheluzzo@inventati.org>
 Build-Depends: debhelper (>= 8.1), cmake, pkg-config, libx11-dev, kdelibs5-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.unix-ag.uni-kl.de/~fischer/kpartsplugin/
 
 Package: kpartsplugin

=== debian/watch ===
version=3
http://www.unix-ag.uni-kl.de/~fischer/kpartsplugin/ kpartsplugin-(.*)\.tar\.bz2
